com.corticon.rulesemf.viewrulemodel.rulesheet.decisiontable

## Interface RuleColumn

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface RuleColumn
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Rule Column'.

  The following features are supported:

  - `Rule Id`
  - `Column Width`
  - `Non Conditional`
  - `Disabled`
  - `Override Value Set Cell`
  - `PRule`
  - `Condition Value Set Cell List`
  - `Action Value Set Cell List`
  See Also:
    `DecisiontablePackage.getRuleColumn()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList` | `getActionValueSetCellList()` Returns the value of the 'Action Value Set Cell List' containment reference list.
    `int` | `getColumnWidth()` Returns the value of the 'Column Width' attribute
    `org.eclipse.emf.common.util.EList` | `getConditionValueSetCellList()` Returns the value of the 'Condition Value Set Cell List' containment reference list.
    `ValueSetCell` | `getOverrideValueSetCell()` Returns the value of the 'Override Value Set Cell' containment reference
    `org.eclipse.emf.common.util.EList` | `getPRule()` Returns the value of the 'PRule' reference list.
    `java.lang.String` | `getRuleId()` Returns the value of the 'Rule Id' attribute
    `boolean` | `isDisabled()` Returns the value of the 'Disabled' attribute
    `boolean` | `isNonConditional()` Returns the value of the 'Non Conditional' attribute
    `void` | `setColumnWidth(int value)` Sets the value of the '`Column Width`' attribute
    `void` | `setDisabled(boolean value)` Sets the value of the '`Disabled`' attribute
    `void` | `setNonConditional(boolean value)` Sets the value of the '`Non Conditional`' attribute
    `void` | `setOverrideValueSetCell(ValueSetCell value)` Sets the value of the '`Override Value Set Cell`' containment reference
    `void` | `setRuleId(java.lang.String value)` Sets the value of the '`Rule Id`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getRuleId

          java.lang.String getRuleId()

      Returns the value of the 'Rule Id' attribute.

      If the meaning of the 'Rule Id' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Rule Id' attribute.
      See Also:
        `setRuleId(String)`, `DecisiontablePackage.getRuleColumn_RuleId()`

    - #### setRuleId

          void setRuleId(java.lang.String value)

      Sets the value of the '`Rule Id`' attribute.
      Parameters:
        `value` - the new value of the 'Rule Id' attribute.
      See Also:
        `getRuleId()`

    - #### getColumnWidth

          int getColumnWidth()

      Returns the value of the 'Column Width' attribute.

      If the meaning of the 'Column Width' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Column Width' attribute.
      See Also:
        `setColumnWidth(int)`, `DecisiontablePackage.getRuleColumn_ColumnWidth()`

    - #### setColumnWidth

          void setColumnWidth(int value)

      Sets the value of the '`Column Width`' attribute.
      Parameters:
        `value` - the new value of the 'Column Width' attribute.
      See Also:
        `getColumnWidth()`

    - #### isNonConditional

          boolean isNonConditional()

      Returns the value of the 'Non Conditional' attribute.

      If the meaning of the 'Non Conditional' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Non Conditional' attribute.
      See Also:
        `setNonConditional(boolean)`, `DecisiontablePackage.getRuleColumn_NonConditional()`

    - #### setNonConditional

          void setNonConditional(boolean value)

      Sets the value of the '`Non Conditional`' attribute.
      Parameters:
        `value` - the new value of the 'Non Conditional' attribute.
      See Also:
        `isNonConditional()`

    - #### isDisabled

          boolean isDisabled()

      Returns the value of the 'Disabled' attribute.

      If the meaning of the 'Disabled' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Disabled' attribute.
      See Also:
        `setDisabled(boolean)`, `DecisiontablePackage.getRuleColumn_Disabled()`

    - #### setDisabled

          void setDisabled(boolean value)

      Sets the value of the '`Disabled`' attribute.
      Parameters:
        `value` - the new value of the 'Disabled' attribute.
      See Also:
        `isDisabled()`

    - #### getOverrideValueSetCell

          ValueSetCell getOverrideValueSetCell()

      Returns the value of the 'Override Value Set Cell' containment reference.

      If the meaning of the 'Override Value Set Cell' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Override Value Set Cell' containment reference.
      See Also:
        `setOverrideValueSetCell(ValueSetCell)`, `DecisiontablePackage.getRuleColumn_OverrideValueSetCell()`

    - #### setOverrideValueSetCell

          void setOverrideValueSetCell(ValueSetCell value)

      Sets the value of the '`Override Value Set Cell`' containment reference.
      Parameters:
        `value` - the new value of the 'Override Value Set Cell' containment reference.
      See Also:
        `getOverrideValueSetCell()`

    - #### getPRule

          org.eclipse.emf.common.util.EList getPRule()

      Returns the value of the 'PRule' reference list. The list contents are of type `PRule`.

      If the meaning of the 'PRule' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'PRule' reference list.
      See Also:
        `DecisiontablePackage.getRuleColumn_PRule()`

    - #### getActionValueSetCellList

          org.eclipse.emf.common.util.EList getActionValueSetCellList()

      Returns the value of the 'Action Value Set Cell List' containment reference list. The list contents are of type `ActionValueSetCell`.

      If the meaning of the 'Action Value Set Cell List' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Action Value Set Cell List' containment reference list.
      See Also:
        `DecisiontablePackage.getRuleColumn_ActionValueSetCellList()`

    - #### getConditionValueSetCellList

          org.eclipse.emf.common.util.EList getConditionValueSetCellList()

      Returns the value of the 'Condition Value Set Cell List' containment reference list. The list contents are of type `ConditionValueSetCell`.

      If the meaning of the 'Condition Value Set Cell List' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Condition Value Set Cell List' containment reference list.
      See Also:
        `DecisiontablePackage.getRuleColumn_ConditionValueSetCellList()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.